"""
Module contenant la fonction listAleaFloat(n) qui retourne une liste 
de n flottants aléatoires dans l'intervalle : [0,500], en utilisant 
la fonction random() du module standard random.

fichier : alea_float_m.py
auteur : Bob
"""

# Import ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
from random import random

# Définition de fonction ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
def listAleaFloat(n):
    """"Retourne une liste de <n> flottants aléatoires."""
    lst = []
    for _ in range(n):
        lst.append(random() * 500)
    return lst
